DROP PROCEDURE P_SDR_PURGE_SAMPLE_PLATFORM;

CREATE OR REPLACE PROCEDURE P_SDR_PURGE_SAMPLE_PLATFORM 
IS
  V_LAST_LOAD_NB NUMBER;
BEGIN

  SELECT LAST_LOAD_NB-5 INTO V_LAST_LOAD_NB
  FROM REF_SDR_PLATFORMS
  WHERE TABLE_NAME='SAMPLE_PLATFORM';

  DELETE SDR_LOADS_SAMPLE_PLATFORM
  WHERE SAMPLE_PLATFORM_LOAD_NB<=V_LAST_LOAD_NB;

  DELETE RESULT_SDR_PLATFORM1_PLATFORM2
  WHERE SAMPLE_PLATFORM_LOAD_NB<=V_LAST_LOAD_NB;
  
  COMMIT;

END;
/