
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_SDR_INTRA_OTHER_PLTFRM_COMP;

CREATE OR REPLACE PROCEDURE P_SDR_INTRA_OTHER_PLTFRM_COMP (
	LOAD_PLATFORM IN NUMBER)
IS
  COMMAND_LINE VARCHAR2(900);
BEGIN

  DELETE RESULT_SDR_OTHER_PLATFORM
  WHERE OTHER_PLATFORM_LOAD_NB=LOAD_PLATFORM;

  -- CREATE THE VIEWS THAT WILL BE USED IN THE QUERIES LATER
  COMMAND_LINE:='CREATE OR REPLACE VIEW VIEW_SDR_OTHER_PLATFORM AS ';
  COMMAND_LINE:=COMMAND_LINE || 'SELECT * FROM SDR_LOADS_OTHER_PLATFORM WHERE OTHER_PLATFORM_LOAD_NB=' || TO_CHAR(LOAD_PLATFORM);
  EXECUTE IMMEDIATE COMMAND_LINE;

  INSERT INTO RESULT_SDR_OTHER_PLATFORM  (
		  OTHER_PLATFORM_LOAD_NB,  
		  FIELD_1,
		  FIELD_2,
		  FIELD_3,
		--...
		  FIELD_N,
		  HAS_ERROR1,
		  HAS_ERROR2,
		--...
		  HAS_ERRORN
		)
  SELECT   LOAD_PLATFORM, 
		  FIELD_1,
		  FIELD_2,
		  FIELD_3,
		--...
		  FIELD_N,
		  0, 
		  0, 
		--...
		  0
  FROM VIEW_SDR_OTHER_PLATFORM;


  UPDATE RESULT_SDR_OTHER_PLATFORM
  SET HAS_ERROR1=1
  WHERE OTHER_PLATFORM_LOAD_NB=LOAD_PLATFORM
  AND (
	-- Business Rules to detect Error #1
	0=1  
  );


  UPDATE RESULT_SDR_OTHER_PLATFORM
  SET HAS_ERROR2=1
  WHERE OTHER_PLATFORM_LOAD_NB=LOAD_PLATFORM
  AND (
	-- Business Rules to detect Error #2
	0=1  
  );

--...

  UPDATE RESULT_SDR_OTHER_PLATFORM
  SET HAS_ERRORN=1
  WHERE OTHER_PLATFORM_LOAD_NB=LOAD_PLATFORM
  AND (
	-- Business Rules to detect Error #N
	0=1  
  );


END;
/