
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_SDR_INIT_LOAD_TABLES;

CREATE OR REPLACE PROCEDURE P_SDR_INIT_LOAD_TABLES (
	V_TABLE IN VARCHAR2, 
	LOAD_NUMBER IN NUMBER)
IS
  COMMAND_LINE VARCHAR2(50);
BEGIN
 COMMAND_LINE:='BEGIN P_SDR_INIT_' || V_TABLE || '(' || TO_CHAR(LOAD_NUMBER) || '); END;'; 
 EXECUTE IMMEDIATE COMMAND_LINE;
END;
/